package pw.yumc.LuckLottery.config;

import java.util.List;

import org.bukkit.plugin.Plugin;

import pw.yumc.YumCore.config.FileConfig;

public class OfflineDate {
    private static String CONFIG_NAME = "offlinedate.yml";
    private static FileConfig instance;

    public OfflineDate(final Plugin p) {
        instance = new FileConfig(CONFIG_NAME);
    }

    public void addMessage(final String p, final String message) {
        final List<String> messages = instance.getStringList(p);
        messages.add(message);
        instance.set(p, messages);
        instance.save();
    }

    public void clearMessage(final String p) {
        instance.set(p, null);
        instance.save();
    }

    public List<String> getMessage(final String p) {
        return instance.getStringList(p);
    }
}
